Package Gnumed :: Package timelinelib :: Package db :: Package backends :: Module xmlfile |
[frames] | no frames]

# Module xmlfile

source code

Implementation of timeline database with xml file storage.

Classes
| ParseException Thrown if parsing of data read from file fails.
| XmlTimeline

Functions
wrap_in_tag(func, name, indent="") | source code
write_simple_tag(file, name, content, indent="") | source code
parse_bool(bool_string) Expected format 'True' or 'False'. | source code
color_string(color) | source code
parse_color(color_string) Expected format 'r,g,b'. | source code
icon_string(bitmap) | source code
parse_icon(string) Expected format: base64 encoded png image. | source code

Variables
| ENCODING = `"utf-8"`
| INDENT1 = `" "`
| INDENT2 = `" "`
| INDENT3 = `" "`

Imports: re, os, abspath, base64, StringIO, xmlescape, wx, MemoryDB, TimelineIOError, Category, Container, Event, Subevent, TimePeriod, safe_write, get_version, WxTimeType, ex_msg, ANY, OPTIONAL, parse, parse_fn_store, SINGLE, Tag

Function Details

### parse_bool(bool_string) | source code
Expected format 'True' or 'False'. Return True or False.

### parse_color(color_string) | source code
Expected format 'r,g,b'. Return a tuple (r, g, b).

### parse_icon(string) | source code
Expected format: base64 encoded png image. Return a wx.Bitmap.